---

- name: Deploy DevDocs docker-compose
  ansible.builtin.include_role:
    name: docker_compose
  vars:
    docker_compose_project_name: devdocs

    docker_compose_services:
      devdocs:
        image: "{{ devdocs_docker_repository }}:{{ devdocs_docker_tag }}"
        reverse_proxy: "{{ devdocs_reverse_proxy_computed }}"
      pdf_docs:
        image: "{{ devdocs_nginx_docker_repository }}:{{ devdocs_nginx_docker_tag }}"
        volumes:
          - pdf:/usr/share/nginx/html:ro
        reverse_proxy:
          enable: true
          router:
            rule: "Host(`{{ devdocs_domain }}`) && PathPrefix(`/pdf`)"
          service:
            port: 80
